Download OpenAPI specification:
The API is organized around REST and is designed to have predictable, resource-oriented URLs and to use HTTP response codes to indicate API errors.
We use built-in HTTP features, like HTTP authentication and HTTP verbs (methods), which can be understood by off-the-shelf HTTP clients, and we support cross-origin resource sharing to allow you to interact securely with our API.
The URL you will target depends on how you're using the service. If using your own network, you'll need to use the URL/IP address on which you are hosting the service. Refer to product specific documentation for more details.
Replace the placeholder URL (https://example.com) with the correct URL for your specific environment. Always refer to your environment’s documentation to ensure you are using the correct URL.
The server uses conventional HTTP response codes to indicate the success or failure of an API request.
Any unsuccessful response codes will contain more information to help you to identify the cause of the problem.
In general:
For all API calls, parameters of type string cannot start with any of the following charaters: =, +, -, @
OAuth2 is used to authenticate API access for integration with Autopay Online Plus.
API Clients can be managed from the User Interface including creating clients and generating client id and secret.Once an API Client has been created you can create access token. You then use the token to authenticate and use in your API calls.
Note: Access tokens will expire after 5 minutes. API integrations will need to correctly handle a HTTP 401 response and repeat the step to create a new token.
Creates an access token using client ID and client secret.
Note: The URLs shown are provided as examples only. Always refer to your environment’s documentation to ensure you are using the correct URL.
| Content-Type | string Must be set to x-www-form-urlencoded |
| client_id:<api client id> required | string Unique ID assigned to the client by Autopay Online Plus. |
| client_secret:<api client secret> required | string Unique secret (password) assigned to the client by Autopay Online Plus. |
| grant_type required | string The way the access token is granted - always set to client_credentials. |
{- "client_id": "av-customer-client-newsquest-media-group",
- "client_secret": "b33be1d1-57eb-438e-ac44-6960cd3d6412",
- "grant_type": "client_credentials"
}{- "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCIg...",
- "expires_in": 300,
- "refresh_expires_in": 1800,
- "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCIg...",
- "token_type": "bearer",
- "not-before-policy": 0,
- "session_state": "efacc809-1f59-4460-8a26-63edb9cae3f8",
- "scope": "email profile"
}The API allows you to list the current users in the system, retrieve a user's details and delete a user. You can also list the current Payments roles.
Returns a list of all current users. The default number of records returned is 50. Query parameters can be used to refine the records returned.
| limit | integer Default: 50 Number of records to return. |
| startIndex | integer Default: 0 Page to start from. |
| freeTextSearch | string String to search for a user – email, first name or last name. |
curl -H "Content-Type: application/json" -X POST \ https://example.com/api/users
[- {
- "id": "06a7b4b2-8f03-406e-8b44-ac9cd406cc0c",
- "enabled": true,
- "email": "testuser1@cloud.com",
- "emailVerified": true,
- "creationDate": "2022-03-18T17:09:38.602Z",
- "userAdmin": false,
- "manageModules": false,
- "otpType": "none",
- "isUserFederated": false,
- "isNpsSurveyDue": false,
- "userStatus": {
- "status": "active",
- "pendingActions": [ ]
}, - "firstName": "Test",
- "lastName": "User",
- "lastLoginDateTime": "2022-03-18T17:11:56.770474Z",
- "moduleAdmin": [
- "bankaccounts"
], - "moduleAccess": [
- "bankaccounts"
], - "moduleLicenced": [ ],
- "roles": [ ]
}, - {
- "id": "0b25e1ce-d028-4ce9-a8b5-b421588ae2f1",
- "enabled": true,
- "email": "new@tester.com",
- "emailVerified": false,
- "creationDate": "2022-11-04T13:01:48.685Z",
- "userAdmin": true,
- "manageModules": true,
- "otpType": "software",
- "isUserFederated": false,
- "isNpsSurveyDue": false,
- "userStatus": {
- "status": "verifyEmail",
- "pendingActions": [ ]
}, - "title": "Miss",
- "firstName": "new",
- "lastName": "user",
- "jobTitle": "QA evangelist",
- "moduleAdmin": [
- "bankaccounts"
], - "moduleAccess": [
- "bankaccounts"
], - "moduleLicenced": [ ],
- "roles": [ ]
}, - {
- "id": "188c1ae4-2808-4c41-bf4e-ae3ccf1d59da",
- "enabled": true,
- "email": "adminuser@cloud.com",
- "emailVerified": true,
- "creationDate": "2022-03-18T17:04:02.697Z",
- "userAdmin": true,
- "manageModules": true,
- "otpType": "none",
- "isUserFederated": false,
- "isNpsSurveyDue": false,
- "userStatus": {
- "status": "active",
- "pendingActions": [ ]
}, - "firstName": "Admin",
- "lastName": "User1",
- "lastLoginDateTime": "2022-11-22T15:35:48.506735Z",
- "moduleAdmin": [
- "bankaccounts"
], - "moduleAccess": [
- "bankaccounts"
], - "moduleLicenced": [ ],
- "roles": [ ]
}
]Retrieves details of a user using unique identifier.
| userId required | string <uuid> Unique identifier of the user (UUID), obtained from the List all users call. |
curl -H "Content-Type: application/json" -X POST \ https://example.com/api/users/{userId}
{- "id": "0235831e-e553-49e6-82fe-d6073e29bfe7",
- "enabled": true,
- "email": "benton@one.com",
- "emailVerified": false,
- "creationDate": "2022-11-23T15:58:11.169Z",
- "userAdmin": true,
- "manageModules": false,
- "otpType": "none",
- "isUserFederated": false,
- "isNpsSurveyDue": false,
- "userStatus": {
- "status": "verifyEmail",
- "pendingActions": [ ]
}, - "firstName": "Benton",
- "lastName": "Fulmey",
- "jobTitle": "UI Developer",
- "moduleAdmin": [
- "bankaccounts"
], - "moduleAccess": [
- "bankaccounts",
- "internationalpayments"
], - "moduleLicenced": [ ],
- "roles": [
- "387c72e1-79cb-44aa-af9a-dbae9b1ba9b7"
]
}Deletes a user using unique identifier.
| userId required | string Unique identifier of the user (UUID), obtained from the List all users or Retrieve a user call. |
curl -H "Content-Type: application/json" -X POST https://example.com/api/users/{userId}
Returns a list of all payments roles.
Identifier
| realmKey | string Realm key (obtained from Bottomline support). |
curl -H "Content-Type: application/json" -X POST { "identifier":{ "realmKey":"TEST" } } https://example.com/payments-service/api/roles/providers/com.bottomline.banking.webseries.roles.provider.webseries/com.bottomline.banking.webseries.roles.provider.WebSeriesRolesProvider/getRolesForRealm
[- {
- "@type": "Role",
- "extensions": [
- {
- "@type": "WebSeriesRoleEntitlement",
- "id": "ROLE_ENTITLEMENT",
- "paymentRoleType": "ALL",
- "createPaymentProfileAllowed": false,
- "reportsAllowed": true,
- "viewAllowed": true,
- "createAllowed": true,
- "approveAllowed": true,
- "submitAllowed": true,
- "commitAllowed": true,
- "archiveAllowed": true,
- "approveOwnAllowed": true,
- "commitOwnAllowed": true,
- "submitOwnAllowed": false,
- "ddmAllowed": true,
- "ddmRoleType": "ALL",
- "allowAllProfiles": true,
- "oneOffInstructions": true,
- "oneOffRefund": true,
- "allowAllDdmProfiles": true,
- "viewDdmAllowed": true,
- "manageTemplatesAllowed": false,
- "selectTemplatesAllowed": false,
- "createCompanyAllowed": false,
- "editCompanyAllowed": false,
- "deleteCompanyAllowed": false,
- "disableCompanyAllowed": false,
- "viewCompanyAllowed": false,
- "riskAssessmentAllowed": true,
- "manageBlackListAllowed": true,
- "vSeriesEntitlementsAllowed": false,
- "creditCardsEntitlementsAllowed": false,
- "paymentsAllowed": true,
- "protectAllowed": true
}, - {
- "@type": "WebSeriesRoleChanges",
- "id": "ROLE_PENDINGCHANGES"
}
], - "name": "Full",
- "comment": "Full Permissions",
- "roleIdentifierImpl": {
- "identifierKey": "Full"
}, - "attributes": {
- "statusCode": "AP"
}
}, - {
- "@type": "Role",
- "extensions": [
- {
- "@type": "WebSeriesRoleEntitlement",
- "id": "ROLE_ENTITLEMENT",
- "paymentRoleType": "ALL",
- "createPaymentProfileAllowed": false,
- "reportsAllowed": true,
- "viewAllowed": true,
- "createAllowed": true,
- "approveAllowed": true,
- "submitAllowed": true,
- "commitAllowed": true,
- "archiveAllowed": true,
- "approveOwnAllowed": true,
- "commitOwnAllowed": true,
- "submitOwnAllowed": false,
- "ddmAllowed": false,
- "ddmRoleType": "ALL",
- "allowAllProfiles": true,
- "oneOffInstructions": false,
- "oneOffRefund": false,
- "allowAllDdmProfiles": false,
- "viewDdmAllowed": false,
- "manageTemplatesAllowed": false,
- "selectTemplatesAllowed": false,
- "createCompanyAllowed": false,
- "editCompanyAllowed": false,
- "deleteCompanyAllowed": false,
- "disableCompanyAllowed": false,
- "viewCompanyAllowed": false,
- "riskAssessmentAllowed": false,
- "manageBlackListAllowed": false,
- "vSeriesEntitlementsAllowed": false,
- "creditCardsEntitlementsAllowed": false,
- "paymentsAllowed": true,
- "protectAllowed": false
}, - {
- "@type": "WebSeriesRoleChanges",
- "id": "ROLE_PENDINGCHANGES"
}
], - "name": "PayOnly",
- "comment": "Payments Access Only",
- "roleIdentifierImpl": {
- "identifierKey": "PayOnly"
}, - "attributes": {
- "statusCode": "AP"
}
}
]Payment batches are used for making payments. A payment batch contains payment instructions details.
The API allows you to create a batch which will upload the payment into the system. You can create a batch template and create a batch from the template. You can also move a batch from draft to entered, approved or committed status.
Creates a new payment batch.
Note: Create an empty batch first and then use the Create an instruction call to add instructions to the batch.
The MdeHeader
| inputMethod | string <string> Input method, set to either Manual or File. |
| description | string <string> Description for batch. |
| application required | string <string> Unique identifier of the selected payment profile. |
| applicationName | string <string> The name of the selected payment profile. |
| status | string <string> Default: "DRAFT" The status of the batch. |
| paymentDate | string <date-time> The payment date of the batch. If supplied then must adhere to Bacs scheme rules (the earliest date is two days from the current date excluding bank holidays and weekends). |
| paymentType | string <string> The payment type, set to either Bacs or Faster Payments. |
| submissionSigningMethod | string Default: "SMARTCARD" The signing method when submitting files to Bacs, set to either Smartcard or HSM. |
{- "inputMethod": "manual",
- "description": "New batch",
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "status": "-",
- "paymentDate": "-",
- "paymentType": "Bacs",
- "submissionSigningMethod": "SMARTCARD"
}{- "@type": "MdeHeader",
- "id": 100,
- "application": 33,
- "applicationName": "Direct MDE Profile",
- "enteredDate": "2018-10-18T13:13:24.000+0000",
- "paymentDate": "2018-10-22T00:00:00.000",
- "enteredBy": "JGX3FTUOQF1PPIDQTMLF",
- "description": "TEST PAYMENT PROFILE-1539868404142",
- "status": "DRAFT",
- "statusDescription": "Draft",
- "debitCount": 3,
- "debitTotal": 623.45,
- "creditCount": 0,
- "creditTotal": 0,
- "paymentType": "Bacs",
- "originatorInfo": {
- "sortCode": "309470",
- "accountNumber": "12341234",
- "accountName": "test account name",
- "statementText": "statement text",
- "sun": 100265,
- "destinationStatementText": "dest statement text"
}, - "errorCount": 0,
- "warningCount": 0,
- "auddisCount": 0,
- "submission": 126091,
- "multiplePaymentDates": false,
- "entryCount": 0,
- "includedCount": 0,
- "rti": false,
- "possibleDuplicate": false,
- "indirect": false,
- "paymentFileSigned": false,
- "riskCount": 0,
- "isDDMEntry": false
}Creates a new payment batch template.
| batchId required | integer <int64> Unique identifier of batch for template creation. |
The Bacs template descriptor.
| templateName | string <string> Template name. |
| batchId | integer <int64> The batch ID for template creation. |
{- "templateName": "MyWeeklyBatchFile",
- "batchId": 100
}{- "model": { },
- "informationMessages": [
- {
- "key": "string",
- "message": "string"
}
], - "warningMessages": [
- {
- "key": "string",
- "message": "string"
}
], - "errorMessages": [
- {
- "key": "string",
- "message": "string"
}
], - "debugMessages": [
- {
- "key": "string",
- "message": "string"
}
]
}Creates a new payment batch from a template.
| templateId required | integer <int64> Unique identifier of template for batch creation. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/batches/124/template/batch
{- "id": 100,
- "submissionId": 99,
- "application": 33,
- "applicationName": "Direct MDE Profile",
- "entries": [
- {
- "id": 10045,
- "paymentType": "Bacs",
- "included": true,
- "index": 1,
- "transactionType": "0",
- "transactionTypeCode": "99",
- "sortCode": "200000",
- "accountNumber": "42222222",
- "batchId": 100,
- "reference": "Reference-1234",
- "amount": "2450.99",
- "paymentDate": "2019-08-24T14:15:22Z",
- "type": "DBACS",
- "name": "JON SMITH",
- "rti": "",
- "isDDMEntry": false
}
], - "applicationDescription": "Direct MDE Profile {100124}",
- "paymentDate": "2019-08-24T14:15:22Z",
- "type": "DBACS",
- "description": "DirectMDEProfile-1515062817535",
- "debitCount": 3,
- "debitTotal": 623.45,
- "creditCount": 14,
- "creditTotal": 125650.9
}Completes a payment batch moving the batch from draft to entered status.
Warning: This call is not thread safe therefore DO NOT use this call while instructions are being added to the batch manually or via the API.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
| paymentProfileId required | integer <int64> Payment profile identifier obtained from the Query list all payment profiles or Query payment profile by payment profile name call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/enter/6421
Completes a payment batch moving the batch from entered to approved status.
Warning: This call can only be used for batches that are in the entered state.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/approve
Rejects a payment batch.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
| reason | string <string> Reject reason. |
{- "reason": "Duplicate payment"
}Unapproves a payment batch, moving the status of the batch back to Entered.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/unapprove
Completes a payment batch moving the batch from approved to committed status.
Warning: This call can only be used for batches that have been created using a payment profile for indirect submitters and are in the approved state.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/commit
Archives a payment batch.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/archive
Moves a payment batch back to draft status.
| submissionId required | integer <int64> Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/submissions/126091/modify
Executes a query for all payment batches with the rejected status within a specified date range.
To query payment batches with a different status, replace the rejected status with one of the following codes.
| Code | Description |
|---|---|
| IP | Import in progress |
| DF | Draft |
| RA | Risk assessment |
| PE | Pre-entered |
| EN | Entered |
| AP | Approved |
| IA | Part approved |
| CM | Committed |
| LC | Locked |
| SB | Sending |
| ST | Sent |
| RB | Rejected by Bacs |
| HE | Held for escalation |
| AC | Archived |
| WD | Withdrawn |
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.submission",
- "key": "com.bottomline.cpay.model.bacs.submission"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "status",
- "symbol": "com.bottomline.cpay.model.bacs.submission.status",
- "fieldType": "STRING",
- "key": false
}, - "operator": {
- "symbol": "IN"
}, - "queryValue": {
- "@type": "string",
- "$value": "RJ"
}
}, - {
- "@type": "QueryRelationship",
- "name": "AND",
- "description": "AND relationship.",
- "symbol": "AND"
}, - {
- "@type": "QueryParameter",
- "field": {
- "name": "paymentDate",
- "symbol": "com.bottomline.cpay.model.bacs.submission.paymentDate",
- "fieldType": "DATE",
- "key": false
}, - "operator": {
- "symbol": "BETWEEN"
}, - "queryValue": [
- {
- "@type": "date",
- "$value": "2022-06-08T00:00:00.000Z"
}, - {
- "@type": "date",
- "$value": "2022-06-11T23:59:59.100Z"
}
]
}
]
}, - "resultFields": [
- {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.SubmissionResponse",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.SubmissionResponse",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88444,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:49:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88442,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:48:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88438,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:47:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88434,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:44:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88428,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:41:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88426,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:41:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 88422,
- "application": 6421,
- "applicationName": "TEST PAYMENT PROFILE",
- "applicationDescription": "TEST PAYMENT PROFILE (000000)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2022-01-06T14:37:00.000",
- "paymentDate": "2022-01-08T00:00:00.000",
- "enteredBy": "Alex Smith",
- "enteredById": "JGX3FTUOQF1PPIDQTMLF",
- "description": "One-Off Collections.txt",
- "status": "RJ",
- "statusDescription": "Rejected",
- "numFiles": 1,
- "debitTotal": 0,
- "creditTotal": 0,
- "debitCount": 0,
- "creditCount": 0,
- "paymentType": "Bacs",
- "multiplePaymentDates": false,
- "errorCount": 2,
- "warningCount": 0,
- "auddisCount": 0,
- "entryCount": 0,
- "entryTotal": 0,
- "sun": "000000",
- "indirect": false,
- "earliestProcessingDate": "2022-01-07T00:00:00.000",
- "transmissionType": "StructuralTest",
- "possibleDuplicate": false,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "Created",
- "riskCount": 0,
- "numberOfApprovals": 1
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 7
}
}
]
}
]
}
]
}Executes a query for payment files within a bureau submission batch.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.submission",
- "key": "com.bottomline.cpay.model.bacs.submission"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "string",
- "field": {
- "name": "id",
- "symbol": "com.bottomline.cpay.model.bacs.submission.id",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 14185205
}
}
]
}, - "resultFields": [
- {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.SubmissionResponse",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "Submission",
- "symbol": "com.bottomline.cpay.model.bacs.SubmissionResponse",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "SubmissionResponse",
- "id": 14185212,
- "application": 82832,
- "applicationName": "zBacs Direct File Import 1",
- "applicationDescription": "zBacs Direct File Import 1 (100146)",
- "entryMethod": "FILEIMPORT",
- "enteredDate": "2025-03-25T13:14:00.000",
- "paymentDate": "2025-03-27T00:00:00.000",
- "enteredBy": "Khrisstian McKenzie",
- "enteredById": "YVOWICAU3MW1LNLBGSVP",
- "description": "STD18_WITH_HEADERS.txt",
- "status": "AP",
- "statusDescription": "Approved",
- "numFiles": 4,
- "debitTotal": 0,
- "creditTotal": 5742.24,
- "debitCount": 0,
- "creditCount": 16,
- "paymentType": "Bacs",
- "batches": [
- {
- "id": 14185213,
- "application": "82832",
- "applicationName": "zBacs Direct File Import 1",
- "applicationDescription": "zBacs Direct File Import 1 (100146)",
- "enteredDate": "2025-03-25T13:14:51.000+0000",
- "paymentDate": "2025-03-27T00:00:00.000",
- "processingDate": "2025-03-26T00:00:00.000",
- "entryMethod": "FILEIMPORT",
- "enteredBy": "Khrisstian McKenzie",
- "description": "STD18_WITH_HEADERS.txt",
- "status": "AP",
- "statusDescription": "Approved",
- "debitTotal": 0,
- "creditTotal": 1435.56,
- "debitCount": 0,
- "creditCount": 4,
- "paymentType": "Bacs",
- "errorCount": 0,
- "warningCount": 9,
- "auddisCount": 0,
- "submission": 14185212,
- "multiplePaymentDates": false,
- "entryCount": 4,
- "includedCount": 0,
- "entryTotal": -1435.56,
- "rti": true,
- "sun": "100146",
- "possibleDuplicate": true,
- "indirect": false,
- "workCode": "1 DAILY ",
- "transmissionType": "StructuralTest",
- "paymentFileSigned": false,
- "riskCount": 0,
- "isDDMEntry": false
}, - {
- "id": 14185214,
- "application": "82832",
- "applicationName": "zBacs Direct File Import 1",
- "applicationDescription": "zBacs Direct File Import 1 (100146)",
- "enteredDate": "2025-03-25T13:14:53.000+0000",
- "paymentDate": "2025-03-27T00:00:00.000",
- "processingDate": "2025-03-26T00:00:00.000",
- "entryMethod": "FILEIMPORT",
- "enteredBy": "Khrisstian McKenzie",
- "description": "STD18_WITH_HEADERS.txt",
- "status": "AP",
- "statusDescription": "Approved",
- "debitTotal": 0,
- "creditTotal": 1435.56,
- "debitCount": 0,
- "creditCount": 4,
- "paymentType": "Bacs",
- "errorCount": 0,
- "warningCount": 10,
- "auddisCount": 0,
- "submission": 14185212,
- "multiplePaymentDates": false,
- "entryCount": 4,
- "includedCount": 0,
- "entryTotal": -1435.56,
- "rti": true,
- "sun": "100146",
- "possibleDuplicate": true,
- "indirect": false,
- "workCode": "1 DAILY ",
- "transmissionType": "StructuralTest",
- "paymentFileSigned": false,
- "riskCount": 0,
- "isDDMEntry": false
}, - {
- "id": 14185215,
- "application": "82832",
- "applicationName": "zBacs Direct File Import 1",
- "applicationDescription": "zBacs Direct File Import 1 (100146)",
- "enteredDate": "2025-03-25T13:14:53.000+0000",
- "paymentDate": "2025-03-27T00:00:00.000",
- "processingDate": "2025-03-26T00:00:00.000",
- "entryMethod": "FILEIMPORT",
- "enteredBy": "Khrisstian McKenzie",
- "description": "STD18_WITH_HEADERS.txt",
- "status": "AP",
- "statusDescription": "Approved",
- "debitTotal": 0,
- "creditTotal": 1435.56,
- "debitCount": 0,
- "creditCount": 4,
- "paymentType": "Bacs",
- "errorCount": 0,
- "warningCount": 11,
- "auddisCount": 0,
- "submission": 14185212,
- "multiplePaymentDates": false,
- "entryCount": 4,
- "includedCount": 0,
- "entryTotal": -1435.56,
- "rti": true,
- "sun": "100146",
- "possibleDuplicate": true,
- "indirect": false,
- "workCode": "1 DAILY ",
- "transmissionType": "StructuralTest",
- "paymentFileSigned": false,
- "riskCount": 0,
- "isDDMEntry": false
}, - {
- "id": 14185216,
- "application": "82832",
- "applicationName": "zBacs Direct File Import 1",
- "applicationDescription": "zBacs Direct File Import 1 (100146)",
- "enteredDate": "2025-03-25T13:14:53.000+0000",
- "paymentDate": "2025-03-27T00:00:00.000",
- "processingDate": "2025-03-26T00:00:00.000",
- "entryMethod": "FILEIMPORT",
- "enteredBy": "Khrisstian McKenzie",
- "description": "STD18_WITH_HEADERS.txt",
- "status": "AP",
- "statusDescription": "Approved",
- "debitTotal": 0,
- "creditTotal": 1435.56,
- "debitCount": 0,
- "creditCount": 4,
- "paymentType": "Bacs",
- "errorCount": 0,
- "warningCount": 12,
- "auddisCount": 0,
- "submission": 14185212,
- "multiplePaymentDates": false,
- "entryCount": 4,
- "includedCount": 0,
- "entryTotal": -1435.56,
- "rti": true,
- "sun": "100146",
- "possibleDuplicate": true,
- "indirect": false,
- "workCode": "1 DAILY ",
- "transmissionType": "StructuralTest",
- "paymentFileSigned": false,
- "riskCount": 0,
- "isDDMEntry": false
}
], - "multiplePaymentDates": false,
- "errorCount": 0,
- "warningCount": 42,
- "auddisCount": 0,
- "entryCount": 16,
- "entryTotal": 5742.24,
- "sun": "100146",
- "indirect": false,
- "earliestProcessingDate": "2025-03-26T00:00:00.000",
- "transmissionType": "STRUCTURALTEST",
- "possibleDuplicate": true,
- "submissionSigningMethod": "SMARTCARD",
- "bureau": false,
- "workflowStatus": "AWAITING_SUBMISSION",
- "riskCount": 0,
- "approversId": [
- "System"
], - "numberOfApprovals": 1,
- "enforceSHA1Signing": false,
- "originatorAccountName": "BOTTOMLINE TECHNOL",
- "originatorAccountNumber": "55555555",
- "originatorSortCode": "200000"
}
}
]
}
]
}, - { },
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 7
}
}
]
}
]
}
]
}Executes a query for contra details within a bureau submission batch. Contra details refer to the bank account information used to fund a payment batch.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "Contras",
- "symbol": "com.bottomline.cpay.model.bacs.payment.contra",
- "key": "com.bottomline.cpay.model.bacs.payment.contra"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "string",
- "field": {
- "name": "Batch Id",
- "symbol": "com.bottomline.cpay.model.bacs.payment.contra.batchid",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 14185205
}
}
]
}, - "resultFields": [
- {
- "name": "Contra Detail",
- "symbol": "com.bottomline.cpay.model.base.AshusDetails",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "Contra Detail",
- "symbol": "com.bottomline.cpay.model.base.AshusDetails",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ModelMessages",
- "model": {
- "@type": "BacsInstruction",
- "id": 1723019255,
- "batchId": 14237214,
- "index": 1,
- "sortCode": "200000",
- "accountNumber": "10101010",
- "transactionType": "0",
- "transactionTypeCode": "99",
- "amount": 631.49,
- "text": "ORIGINATOR TEXT",
- "reference": "CONTRA",
- "name": "COMPANY NAME",
- "paymentDate": "2026-01-30T00:00:00.000",
- "type": "CNTRBACS",
- "status": "EN",
- "included": true,
- "isDDMEntry": false,
- "createdDate": "2026-01-28T01:00:21.219",
- "isRefund": false
}
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 1
}
}
]
}
]
}
]
}Payment instructions are used for making payments.
A payment instruction contains the payment details including sort code, account number, payment type and amount. The API allows you to create, delete and update your payment instructions. You can clear the amount in an instruction and identify which instructions to include in a batch.
Creates a new instruction.
The MdeEntry
| paymentType | string <string> Payment type of the instruction. |
| included | boolean Identifier of the instruction state, if it is included in the batch file or not. |
| transactionType required | string <string> Default: "0" Transaction type of the instruction, example "0". Possible values are:
|
| text required | string <string> Default: "STC TEXT" Text that appears on the statement. |
| paymentDate required | string <date-time> Default: "2021-06-15T00:00:00.000" The payment date of the instruction. |
| sortCode required | string <string> Default: "111111" The destination sort code. |
| accountNumber required | string <string> Default: "11111111" The destination account number. |
| reference | string <string> The payment reference. |
| name | string <string> The destination account name. |
| batchId required | integer <int64> Default: 101036 Unique identifier of batch for update. |
| @type | string <string> Default: "MdeEntry" The type of record. |
| isDDMEntry | boolean Default: false Alternative identifier for DDM instructions. |
| amount required | string <amounts> Default: "1222211" The payment amount. |
{- "paymentType": "Bacs",
- "included": true,
- "transactionType": "0",
- "text": "STC TEXT",
- "paymentDate": "2021-06-14T00:00:00.000",
- "sortCode": "200000",
- "accountNumber": "42222222",
- "reference": "Reference-101",
- "name": "JON SMITH",
- "batchId": 101,
- "@type": "MdeEntry",
- "isDDMEntry": false,
- "amount": "402.35"
}{- "@type": "MdeEntry",
- "id": 1056,
- "batchId": 101,
- "index": 42,
- "sortCode": "200000",
- "accountNumber": "42222222",
- "text": "STC TEXT",
- "type": "DBACS",
- "transactionType": "0",
- "transactionTypeCode": "99",
- "paymentDate": "2021-06-14T00:00:00.000",
- "amount": "402.35",
- "status": "DF",
- "included": true,
- "isDDMEntry": false,
- "createdDate": "2021-06-15T00:00:00.000",
- "warning": {
- "accountNumber": [
- "Account number 11111111 does not have a valid checksum for sort code 111111"
]
}
}Updates an instruction.
| entryId required | integer <int64> Unique identifier of entry for the update. |
Unique identifier of entry for the update.
| batchId required | integer <int64> Unique identifier of batch for update. |
| index required | integer <int64> The index identifier of the instruction within the batch file. |
| sortCode required | string <string> The destination sort code. |
| accountNumber required | string <string> The destination account number. |
| text required | string <string> Text that appears on the statement. |
| transactionType required | string <string> Transaction type of the instruction, example "0". Possible values are:
|
| amount required | string <amounts> The payment amount. |
| status required | string <string> The status of the instruction. |
| createdDate required | string <date-time> The date the instruction was created. |
| paymentType required | string <string> Payment type of the instruction. |
| isRefund required | boolean Defines if the payment is a refund. Always set to false. |
{- "batchId": 101,
- "index": 1,
- "sortCode": "200000",
- "accountNumber": "42222222",
- "text": "STC TEXT",
- "transactionType": "0",
- "amount": "402.35",
- "status": "DF",
- "createdDate": "2021-06-09T15:21:53.124",
- "paymentType": "Bacs",
- "isRefund": false
}{- "@type": "MdeEntry",
- "id": 1056,
- "batchId": 101,
- "index": 42,
- "sortCode": "200000",
- "accountNumber": "42222222",
- "text": "STC TEXT",
- "type": "DBACS",
- "transactionType": "0",
- "transactionTypeCode": "99",
- "amount": "402.35",
- "status": "DF",
- "included": true,
- "isDDMEntry": false,
- "createdDate": "2021-06-15T00:00:00.000",
- "warning": [
- {
- "accountNumber": [
- "Account number 11111111 does not have a valid checksum for sort code 111111"
]
}
]
}Identifies which instructions to include in a batch.
| batchId required | integer <int64> Unique identifier of batch for update. |
| included required | boolean Has the value true if the instructions should be included. |
curl -H "Content-Type: application/json" -X POST https://example.com/payments-service/api/bacs/instructions/101/included/true
Payment profiles are used for making payments.
Payment Profiles contain all the information that the system needs to process payments including if the payments is to be made via Bacs or Faster Payments, if the payment is to be submitted via a bureau or submitted to Bacs on behalf of a bureau and how the payment data will be uploaded to the system.
Executes a query to list all payment profiles.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "Applications",
- "symbol": "com.bottomline.cpay.model.applications",
- "key": "com.bottomline.cpay.model.applications"
}, - "resultFields": [
- {
- "name": "All Applications Minimal",
- "symbol": "com.bottomline.cpay.model.AllApplicationsMinimal",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "All Applications Minimal",
- "symbol": "com.bottomline.cpay.model.AllApplicationsMinimal",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "PaymentProfileMinimal",
- "id": 8543,
- "name": "TEST FPS PAYMENT PROFILE",
- "createdDate": "2018-10-17T13:33:08.749",
- "status": "AP",
- "bacsTransmissionType": "STRUCTURALTEST",
- "type": "BACS",
- "dataEntryMethod": "MANUALENTRY",
- "serviceType": "SECUREIP",
- "paymentFileSigningType": "NONE",
- "submissionSigningMethod": "SMARTCARD",
- "connectionType": "DIRECT",
- "promptForDate": false,
- "originatingAccountName": "FPS ACCOUNT NAME",
- "originatingSortCode": "444444",
- "originatingAccountNumber": "44444444",
- "originatorsStatementText": "FPS STATE TEXT",
- "firstUseOfAccount": "NONE",
- "duplicateAccount": "NONE",
- "duplicateAmount": "NONE",
- "blackListedAccount": "NONE",
- "autoArchiveSentSubmissions": false,
- "numberOfDaysToProcessSentSubmissions": 7,
- "numberOfApprovals": 1,
- "automaticSubmission": "false+"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "PaymentProfileMinimal",
- "id": 8308,
- "name": "TEST INDIRECT PROFILE",
- "createdDate": "2018-08-10T13:47:36.224",
- "status": "AP",
- "bacsTransmissionType": "TEST",
- "type": "BACS",
- "dataEntryMethod": "MANUALENTRY",
- "serviceType": "BACSTELIP",
- "paymentFileSigningType": "NONE",
- "submissionSigningMethod": "SMARTCARD",
- "connectionType": "INDIRECT",
- "promptForDate": false,
- "originatingAccountName": "INDIRECT ACC NAME",
- "originatingSortCode": "217217",
- "originatingAccountNumber": "21702170",
- "originatorsStatementText": "IND STATE TEXT",
- "firstUseOfAccount": "NONE",
- "duplicateAccount": "NONE",
- "duplicateAmount": "NONE",
- "blackListedAccount": "NONE",
- "autoArchiveSentSubmissions": false,
- "numberOfDaysToProcessSentSubmissions": 7,
- "numberOfApprovals": 1,
- "automaticSubmission": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "PaymentProfileMinimal",
- "id": 6421,
- "name": "TEST PAYMENT PROFILE",
- "createdDate": "2017-11-27T13:38:52.339",
- "status": "AP",
- "bacsTransmissionType": "STRUCTURALTEST",
- "type": "BACS",
- "dataEntryMethod": "FILEIMPORT",
- "serviceType": "BACSTELIP",
- "paymentFileSigningType": "NONE",
- "submissionSigningMethod": "SMARTCARD",
- "connectionType": "DIRECT",
- "promptForDate": true,
- "originatingAccountName": "TEST ACC NAME",
- "originatingSortCode": "000000",
- "originatingAccountNumber": "00000000",
- "originatorsStatementText": "TEST STATE TEXT",
- "firstUseOfAccount": "NONE",
- "duplicateAccount": "NONE",
- "duplicateAmount": "NONE",
- "blackListedAccount": "NONE",
- "autoArchiveSentSubmissions": false,
- "numberOfDaysToProcessSentSubmissions": 7,
- "numberOfApprovals": 1,
- "automaticSubmission": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 3
}
}
]
}
]
}
]
}Executes a query to search for a payment profile by name.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "Applications",
- "symbol": "com.bottomline.cpay.model.applications",
- "key": "com.bottomline.cpay.model.applications"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "name",
- "symbol": "com.bottomline.cpay.model.application.name",
- "fieldType": "STRING_CI",
- "key": false
}, - "operator": {
- "symbol": "CONTAINS"
}, - "queryValue": {
- "@type": "string",
- "$value": "indirect"
}
}
]
}, - "resultFields": [
- {
- "name": "All Applications Minimal",
- "symbol": "com.bottomline.cpay.model.AllApplicationsMinimal",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "All Applications Minimal",
- "symbol": "com.bottomline.cpay.model.AllApplicationsMinimal",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "PaymentProfileMinimal",
- "id": 8308,
- "name": "TEST INDIRECT PROFILE",
- "createdDate": "2018-08-10T13:47:36.224",
- "status": "AP",
- "bacsTransmissionType": "TEST",
- "type": "BACS",
- "dataEntryMethod": "MANUALENTRY",
- "serviceType": "BACSTELIP",
- "paymentFileSigningType": "NONE",
- "submissionSigningMethod": "SMARTCARD",
- "connectionType": "INDIRECT",
- "promptForDate": false,
- "originatingAccountName": "INDIRECT ACC NAME",
- "originatingSortCode": "217217",
- "originatingAccountNumber": "21702170",
- "originatorsStatementText": "IND STATE TEXT",
- "firstUseOfAccount": "NONE",
- "duplicateAccount": "NONE",
- "duplicateAmount": "NONE",
- "blackListedAccount": "NONE",
- "autoArchiveSentSubmissions": false,
- "numberOfDaysToProcessSentSubmissions": 7,
- "numberOfApprovals": 1,
- "automaticSubmission": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 1
}
}
]
}
]
}
]
}Payment instructions are used for making payments and can be added to the system by uploading a file.
The API allows you to upload a Bacs file and retrieve the result of the upload.
Uploads a Bacs payment file.
| id required | integer <int64> Payment profile identifier |
| file required | string <binary> File to upload |
curl -F 'file=@PAYER_FILE' https://example.com/payments-service/api/file/6421
{- "version": "null",
- "extensions": [ ]
}Retrieves the result of uploading a Bacs payment file.
| id required | integer <int64> File identifier as generated by the system, obtained from the Upload a file call. |
curl -H "Content-Type: application/json" -X GET https://example.com/payments-service/api/file/19456
{- "id": 19456,
- "filename": "Payment file type.csv",
- "size": 253,
- "status": "SUCCESS",
- "submissionId": 88863,
- "applicationId": 6264,
- "batchId": 88864
}Executes a query for successful Bacs file upload by batch id.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "payments",
- "symbol": "com.bottomline.cpay.model.bacs.payment.entry",
- "key": "com.bottomline.cpay.model.bacs.payment.entry"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "batchId",
- "symbol": "com.bottomline.cpay.model.bacs.payment.batchid",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 127233
}
}
]
}, - "resultFields": [
- {
- "name": "Payment Detail",
- "symbol": "com.bottomline.cpay.model.bacs.payment.BacsInstruction",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "Payment Detail",
- "symbol": "com.bottomline.cpay.model.bacs.payment.BacsInstruction",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ModelMessages",
- "model": {
- "@type": "BacsInstruction",
- "id": 20943821,
- "batchId": 127233,
- "index": 1,
- "sortCode": "200000",
- "accountNumber": "55555555",
- "transactionType": "2",
- "transactionTypeCode": "01",
- "amount": 1,
- "text": "TEST DEST TEXT",
- "reference": "00009662",
- "name": "THE VICTORIAN SOCI",
- "paymentDate": "2018-11-07T00:00:00.000",
- "type": "DBACS",
- "status": "EN",
- "included": true,
- "isDDMEntry": false,
- "createdDate": "2018-11-05T00:00:00.000"
}, - "warning": {
- "entered": [
- "Originator details: The sort code has not been found in the sort code directory"
]
}
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 1
}
}
]
}
]
}
]
}Executes a query for failed Bacs file upload by batch id.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.transformer.event",
- "key": "com.bottomline.cpay.model.bacs.transformer.event"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "BacsTransformerEvent BatchId",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent.batchId",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 88860
}
}
]
}, - "resultFields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4634086,
- "batchId": 88860,
- "createdTimeStamp": "2018-06-07T17:33:08",
- "eCode": "BV3006",
- "eventType": "Error",
- "lineNum": 0,
- "message": "No data records were extracted from file. Check XML mapping template and/or data file.",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 0,
- "submissionId": 88859,
- "type": "HEADER"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4634087,
- "batchId": 88860,
- "createdTimeStamp": "2018-06-07T17:33:08",
- "eventType": "Error",
- "lineNum": 0,
- "message": "Failed extracting CSV field[AMOUNT] because Input string was not in a correct format.",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 0,
- "submissionId": 88859,
- "type": "HEADER"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 2
}
}
]
}
]
}
]
}Executes a query for failed Bacs file upload by submission id.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.transformer.event",
- "key": "com.bottomline.cpay.model.bacs.transformer.event"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "BacsTransformerEvent SubmissionId",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent.submissionid",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 88860
}
}
]
}, - "resultFields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4634086,
- "batchId": 88860,
- "createdTimeStamp": "2018-06-07T17:33:08",
- "eCode": "BV3006",
- "eventType": "Error",
- "lineNum": 0,
- "message": "No data records were extracted from file. Check XML mapping template and/or data file.",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 0,
- "submissionId": 88859,
- "type": "HEADER"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4634087,
- "batchId": 88860,
- "createdTimeStamp": "2018-06-07T17:33:08",
- "eventType": "Error",
- "lineNum": 0,
- "message": "Failed extracting CSV field[AMOUNT] because Input string was not in a correct format.",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 0,
- "submissionId": 88859,
- "type": "HEADER"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 2
}
}
]
}
]
}
]
}Executes a query for failed Bacs file upload by batch id and error.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.transformer.event",
- "key": "com.bottomline.cpay.model.bacs.transformer.event"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "BacsTransformerEvent BatchId",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent.batchId",
- "fieldType": "INTEGER",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "integer",
- "$value": 112222
}
}, - {
- "@type": "QueryRelationship",
- "name": "AND",
- "description": "AND relationship.",
- "symbol": "AND"
}, - {
- "@type": "QueryParameter",
- "field": {
- "name": "BacsTransformerEvent Event Type",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent.eventType",
- "fieldType": "STRING",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "string",
- "$value": "Error"
}
}
]
}, - "resultFields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsTransformerEvent",
- "symbol": "com.bottomline.cpay.model.bacs.BacsTransformerEvent",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4662654,
- "batchId": 112222,
- "createdTimeStamp": "2018-08-01T08:57:37",
- "eCode": "BV3012",
- "eventType": "Error",
- "lineNum": 0,
- "message": "Data integrity check. The number of data records processed don't match database records.",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 0,
- "submissionId": 112221,
- "type": "HEADER"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4662652,
- "batchId": 112222,
- "createdTimeStamp": "2018-08-01T08:57:37",
- "eCode": "RV0102",
- "eventType": "Error",
- "lineNum": 1,
- "message": "Destination SortCode length is larger than the permitted length of 6 digits: 200000ERROR",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 1,
- "sourceDetail": "200000ERROR,55555555,01,200000,55555554,00000000100,\"The Victorian Soci\",00009662,\"Mr C J CONSTANCE\"\n",
- "submissionId": 112221,
- "type": "INSTRUCTION"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsTransformerEvent",
- "id": 4662653,
- "batchId": 112222,
- "createdTimeStamp": "2018-08-01T08:57:37",
- "eventType": "Error",
- "lineNum": 1,
- "message": "Validation Error: Destination SortCode length is larger than the permitted length of 6 digits: 200000ERROR Source Record:1 Data:200000ERROR,55555555,01,200000,55555554,00000000100,\"The Victorian Soci\",00009662,\"Mr C J CONSTANCE\"\n",
- "occurances": 0,
- "preSubmissionFlag": false,
- "recId": 1,
- "sourceDetail": "200000ERROR,55555555,01,200000,55555554,00000000100,\"The Victorian Soci\",00009662,\"Mr C J CONSTANCE\"\n",
- "submissionId": 112221
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 3
}
}
]
}
]
}
]
}Bacs Messages are reports sent from Bacs to the system for Direct Debit collections.
The API allows you to list, view, export, mark as downloaded and update the status of Bacs messages.
Returns a list of Bacs messages. The information returned can then be used in the Bacs messages calls.
Note: This call is only available for collection profiles set up for file import. Use the Query list all messages call for collection profiles set up for Manual Data Entry and file import.
curl -H "Content-Type: application/json" -X GET { "entity":{ "name": "BacsMessage", "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem", "key": "com.bottomline.cpay.model.bacs.reports.ReportItem" }, "resultFields":[ { "name": "BacsMessage", "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem", "fieldType": "OBJECT", "key": false }, { "name": "rowCount", "symbol": "com.bottomline.query.count", "fieldType": "LONG", "key": false } ], "resultsPage":{ "firstResult": 0, "maxResults": 50 } } https://example.com/payments-service/api/bacs-messages/downloadable
{- "fields": [
- {
- "fieldType": "STRING",
- "key": true,
- "name": "string",
- "description": "string",
- "symbol": "string"
}
], - "rows": [
- {
- "Values": [
- {
- "resultValues": [
- {
- "value": { },
- "displayValue": "string"
}
]
}
]
}
]
}Returns a XML representation of the message. The service type, report Id and report format are mandatory for the request.
| serviceType required | string <int64> Unique identifier of the service type. Set to either BACSTel-IP or SECURE-IP. |
| reportId required | integer <int64> Unique identifier of the Bacs report. |
| reportFormat required | string <int64> Default: 0 Unique identifier of the report type to be downloaded. Set to:
|
curl -H "Content-Type: text/html" -X GET https://example.com/payments-service/api/bacs-messages/BACSTel-IP/9774/0
Updates the status of the Bacs message. The service type, report Id, document Id and readStatus are mandatory for the request.
| serviceType required | string <int64> Unique identifier of the service type. |
| reportId required | integer <int64> Unique identifier of the Bacs report, obtained from calling List bacs messages. |
| documentId required | integer <int64> Unique identifier of the Bacs document, obtained from calling List bacs messages. |
| readStatus required | integer <int64> Indicates if the system should mark the message as read after the download (0 - false, 1 - true) |
curl -H "Content-Type: application/json" -X PUT https://example.com/payments-service/api/bacs-messages/BACSTel-IP/bacs-report/9774/223879829/set-read-status/1
nullMarks a Bacs message as downloaded, even if the document is not downloaded. The service type, report Id and document Id are mandatory.
| serviceType required | string <int64> Unique identifier of the service type. Set to either BACSTel-IP or SECURE-IP. |
| reportId required | integer <int64> Unique identifier of the Bacs report. |
| documentId required | integer <int64> Unique identifier of the Bacs document. |
curl -H "Content-Type: */*" -X POST https://example.com/payments-service/api/bacs-messages/mark-downloaded/BACSTel-IP/9774/223879829
Executes a query to list all Bacs messages. This call is available for collection profiles set up for Manual Data Entry and file import.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reportitem",
- "key": "com.bottomline.cpay.model.bacs.reports.reportitem"
}, - "resultFields": [
- {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8556",
- "reportId": 8556,
- "type": "Arrival",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "REFT Arrival Report (2011)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 920556730,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8557",
- "reportId": 8557,
- "type": "Input",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "REFT Input Report (2013)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 2083356144,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8558",
- "reportId": 8558,
- "type": "Test Input",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "Test Input Report (2025)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1405042097,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8559",
- "reportId": 8559,
- "type": "ARUCS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ARUCS Report (1027)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1027100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8560",
- "reportId": 8560,
- "type": "ARUDD",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ARUDD Report (1016)",
- "read": true,
- "isFasterPayments": false,
- "documentId": 1016100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8561",
- "reportId": 8561,
- "type": "Test",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "Generic Test Report",
- "read": false,
- "isFasterPayments": false,
- "documentId": 86735623,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8569",
- "reportId": 8569,
- "type": "DDICA",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "DDICA",
- "read": false,
- "isFasterPayments": false,
- "documentId": 10196602,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8563",
- "reportId": 8563,
- "type": "Withdrawal",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "Withdrawal Report (2014)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1323841257,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8564",
- "reportId": 8564,
- "type": "ADDACS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ADDACS (7001)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7001100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8565",
- "reportId": 8565,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS Bank Returned DDI (7002)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7002100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8566",
- "reportId": 8566,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS File Acceptance (7003)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7003100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8567",
- "reportId": 8567,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS File Rejection (7004)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7004100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8568",
- "reportId": 8568,
- "type": "AWACS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AWACS (7007)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 242242584,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8562",
- "reportId": 8562,
- "type": "Test Advice",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS Bank Returned DDI",
- "read": false,
- "isFasterPayments": false,
- "documentId": 405276514,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 14
}
}
]
}
]
}
]
}Executes a query for Bacs messages not downloaded.
In the reponse the possible values for the processed field are:
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
| resultFields required | Array of any The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reports.reportitem",
- "key": "com.bottomline.cpay.model.bacs.reports.reportitem"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "Downloaded",
- "symbol": "com.bottomline.cpay.model.bacs.reportitem.downloaded",
- "fieldType": "BOOLEAN",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "boolean",
- "$value": false
}
}
]
}, - "resultFields": [
- {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsMessage",
- "symbol": "com.bottomline.cpay.model.bacs.reports.ReportItem",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8557",
- "reportId": 8557,
- "type": "Input",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "REFT Input Report (2013)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 2083356144,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8558",
- "reportId": 8558,
- "type": "Test Input",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "Test Input Report (2025)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1405042097,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8559",
- "reportId": 8559,
- "type": "ARUCS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ARUCS Report (1027)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1027100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8560",
- "reportId": 8560,
- "type": "ARUDD",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ARUDD Report (1016)",
- "read": true,
- "isFasterPayments": false,
- "documentId": 1016100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8562",
- "reportId": 8562,
- "type": "Test Advice",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS Bank Returned DDI",
- "read": false,
- "isFasterPayments": false,
- "documentId": 405276514,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8569",
- "reportId": 8569,
- "type": "DDICA",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "DDICA",
- "read": false,
- "isFasterPayments": false,
- "documentId": 10196602,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8564",
- "reportId": 8564,
- "type": "ADDACS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "ADDACS (7001)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7001100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8565",
- "reportId": 8565,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS Bank Returned DDI (7002)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7002100265,
- "processed": "REVIEW",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8566",
- "reportId": 8566,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS File Acceptance (7003)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7003100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8567",
- "reportId": 8567,
- "type": "AUDDIS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AUDDIS File Rejection (7004)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 7004100265,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8568",
- "reportId": 8568,
- "type": "AWACS",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "AWACS (7007)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 242242584,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "ReportViewItem",
- "id": "BACS8563",
- "reportId": 8563,
- "type": "Withdrawal",
- "serviceUserNumber": "100265",
- "date": "2018-08-06T00:00:00.000",
- "name": "Withdrawal Report (2014)",
- "read": false,
- "isFasterPayments": false,
- "documentId": 1323841257,
- "processed": "BLANK",
- "downloaded": false
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 12
}
}
]
}
]
}
]
}Executes a query for Bacs messages instruction detail by report id.
The query to be executed.
required | object (QueryEntity) The entity in the query. |
object (QueryCriteria) The criteria of the query to be performed on the database. | |
required | Array of objects (QueryField) The field values to be returned as the query result. |
object (QueryResultsPage) The controller of the page size to be returned within the processed query. It is recommended that no more than 500 results are returned in a search. |
{- "entity": {
- "name": "BacsReportDdmLog",
- "symbol": "com.bottomline.ddm.model.bacsreportddmlog",
- "key": "com.bottomline.ddm.model.bacsreportddmlog"
}, - "criteria": {
- "searchCriteria": [
- {
- "@type": "QueryParameter",
- "field": {
- "name": "reportId",
- "symbol": "com.bottomline.ddm.model.BacsReportDdmLog.profileId",
- "fieldType": "LONG",
- "key": false
}, - "operator": {
- "symbol": "="
}, - "queryValue": {
- "@type": "long",
- "$value": 8560
}
}
]
}, - "resultFields": [
- {
- "name": "BacsReportDdmLog",
- "symbol": "com.bottomline.ddm.model.bacs.reports.BacsReportDdmLo",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "resultsPage": {
- "firstResult": 0,
- "maxResults": 50
}
}{- "fields": [
- {
- "name": "BacsReportDdmLog",
- "symbol": "com.bottomline.ddm.model.bacs.reports.BacsReportDdmLog",
- "fieldType": "OBJECT",
- "key": false
}, - {
- "name": "rowCount",
- "symbol": "com.bottomline.query.count",
- "fieldType": "LONG",
- "key": false
}
], - "rows": [
- {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26160,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00783789U\", sort code: \"902194\", account number: \"49204813\", payment date: \"2010-08-10\", amount: \"253.68\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.601",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26161,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00793597U\", sort code: \"902274\", account number: \"49959781\", payment date: \"2010-08-10\", amount: \"35.48\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.633",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26162,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01004361R\", sort code: \"404324\", account number: \"92091712\", payment date: \"2010-08-10\", amount: \"273.48\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.636",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26163,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01011344M\", sort code: \"902100\", account number: \"27640059\", payment date: \"2010-08-10\", amount: \"78.68\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.640",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26164,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01051230M\", sort code: \"902194\", account number: \"20437779\", payment date: \"2010-08-10\", amount: \"31.17\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.643",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26165,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01054981A\", sort code: \"089417\", account number: \"01001105\", payment date: \"2010-08-10\", amount: \"21.22\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.647",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26166,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01140413G\", sort code: \"902311\", account number: \"38062143\", payment date: \"2010-08-10\", amount: \"31.07\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.650",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26167,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"01159616V\", sort code: \"609204\", account number: \"91704315\", payment date: \"2010-08-10\", amount: \"33.04\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.653",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26168,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00212352N\", sort code: \"601730\", account number: \"83452818\", payment date: \"2010-08-11\", amount: \"58.19\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.656",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26169,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00213294T\", sort code: \"010838\", account number: \"23463880\", payment date: \"2010-08-11\", amount: \"51.08\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.659",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26170,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00215186B\", sort code: \"309826\", account number: \"02762618\", payment date: \"2010-08-11\", amount: \"53.72\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.663",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26171,
- "message": "ARUDD Report (1016) (id: 8,560):Instruction not found by SUN: \"121212\", reference: \"00221814C\", sort code: \"090126\", account number: \"20474664\", payment date: \"2010-08-11\", amount: \"20.05\", status: \"SUCCESS\".",
- "appliedTimestamp": "2018-09-07T02:00:00.666",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "BacsReportDdmLog",
- "id": 26172,
- "message": "ARUDD report Id 8,560 process failed.Unable to process 12 items of 12.",
- "appliedTimestamp": "2018-09-07T02:00:00.669",
- "reportId": 8560,
- "reportType": "ARUDD"
}
}
]
}
]
}, - {
- "values": [
- {
- "resultValues": [
- {
- "value": {
- "@type": "long",
- "$value": 13
}
}
]
}
]
}
]
}Submission summary reports are provided by the Bacs service at the point of submission and are used to feed back information on payments so that they can be followed up accordingly.
Retrieves a submission summary report. The HTTP 200 response will contain either the report (if the report exists) or the text "Report is unavailable".
| submissionId required | integer <int64> Example: 126091 Submission identifier obtained from the Create a new payment batch call. |
curl -H "Content-Type: application/json" -X GET https://example.com/payments-service/api/bacs/submissions/126091/report
<html xmlns:sub="http://bacs.co.uk/submissions"><head><meta http-equiv="Content-Type" content="text/html;" charset="utf-8" /><title>Bacs Payment Servivces - Submissions Summary</title></head><body> .... </body></html>